
Infrastructure - Task #1841

Story # 1836 (Closed): Enable CN Replication REST web service handling 

Implement the ProxyCNReplicationService interface for Metacat

2011-10-10 20:53 - Chris Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Calls to the CNReplication API will be proxied to Metacat.  Create an implementation of the ProxyCNReplicationService interface that

does just that.

History

#1 - 2011-10-10 21:29 - Chris Jones

- Status changed from New to Closed

Created the ProxyCNReplicationService interface in the d1_cn_rest_proxy project.

#2 - 2011-10-11 05:34 - Chris Jones

- Status changed from Closed to In Progress

Inadvertantly closed this task - still need to flesh out MetacatProxyCNreplicationServiceImpl, which implements the ProxyCNReplicationService

interface.

#3 - 2011-10-12 00:00 - Chris Jones

- Status changed from In Progress to Closed

Created MetacatProxyCNreplicationServiceImpl class to forward requests to Metacat.  Needs testing.
